import { JavaObject } from '../../../java/lang/JavaObject';
export declare class GostSchuelerFachwahl extends JavaObject {
    EF1: String | null;
    EF2: String | null;
    Q11: String | null;
    Q12: String | null;
    Q21: String | null;
    Q22: String | null;
    abiturFach: Number | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostSchuelerFachwahl;
    static transpilerToJSON(obj: GostSchuelerFachwahl): string;
    static transpilerToJSONPatch(obj: Partial<GostSchuelerFachwahl>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostSchuelerFachwahl(obj: unknown): GostSchuelerFachwahl;
